package daruma.bus.processor.csv;

/**
 * DaRuMaのスキーマで使用される定数を定義するクラス
 * @author shumi
 *
 */
public class Const {
	/**
	 * GML名前空間の接頭辞
	 */
	public static final String NS_GML_PRE = "gml";

	/**
	 * GML名前空間のURI
	 */
	public static final String NS_GML_URI = "http://www.opengis.net/gml";

	/**
	 * XSD名前空間の接頭辞
	 */
	public static final String NS_XSD_PRE = "xsd";

	/**
	 * XSD名前空間のURI
	 */
	public static final String NS_XSD_URI = "http://www.w3.org/2001/XMLSchema";

	/**
	 * MISP名前空間の接頭辞
	 */
	public static final String NS_MISP_PRE = "misp";

	/**
	 * MISP名前空間のURI
	 */
	public static final String NS_MISP_URI = "http://www.infosharp.org/misp";

	/**
	 * CSVX名前空間の接頭辞
	 */
	public static final String NS_CSVX_URI = "http://www.netconscious.co.jp/daruma/csvx";

	/**
	 * CSVX名前空間のURI
	 */
	public static final String NS_CSVX_PRE = "csvx";

	/**
	 * XLINK名前空間の接頭辞
	 */
	public static final String NS_XLINK_PRE = "xlink";

	/**
	 * XLINK名前空間のURI
	 */
	public static final String NS_XLINK_URI = "http://www.w3.org/1999/xlink";

	/**
	 * 名前空間の接頭辞
	 */
	public static final String NS_XMLNS_PRE = "xmlns";

	/**
	 * WFS名前空間の接頭辞
	 */
	public static final String NS_WFS_PRE = "WFS";

	/**
	 * WFS名前空間のURI
	 */
	public static final String NS_WFS_URI = "http://www.opengis.net/wfs";
	
	/**
	 * XSL名前空間の接頭辞
	 */
	public static final String NS_XSL_PRE = "xsl";
	
	/**
	 * XSL名前空間のURI
	 */
	public static final String NS_XSL_URI = "http://www.w3.org/1999/XSL/Transform";

	/**
	 * Csv2Xml名前空間の接頭辞
	 */
	public static final String NS_CX_PRE = "cx";

	/**
	 * Csv2Xml名前空間のURI
	 */
	public static final String NS_CX_URI = "http://staff.aist.go.jp/i.noda/Standard/2005/CsvXml";

	/**
	 * Csv2Xml名前空間の接頭辞
	 */
	public static final String NS_SOAP_PRE = "SOAP-ENV";
	
	/**
	 * SOAP名前空間のURI
	 */
	public static final String NS_SOAP_URI = "http://schemas.xmlsoap.org/soap/envelope/";
	
	
	/**
	 * 内部処理時使用するターゲット名前空間の接頭辞
	 */
	public static final String NS_TNS_PRE = "__tns__";

	/**
	 * SAX名前空間フィーチャのURI
	 */
	public static final String SAX_NS_URI = "http://xml.org/sax/features/namespaces";

	/**
	 * SAX接頭辞フィーチャのURI
	 */
	public static final String SAX_PRE_URI = "http://xml.org/sax/features/namespace-prefixes";

	/**
	 * SAXハンドラーフィーチャのURI
	 */
	public static final String SAX_HANDLER_URI = "http://xml.org/sax/properties/lexical-handler";

	/**
	 * DTDのURI
	 */
	public static final String DTD_URI = "http://java.sun.com/dtd/properties.dtd";
	
	
	/**
	 * DFSスキーマでの添付ファイル型
	 */
	public static final String DFS_TYPE_ATTATCHEDFILE = Const.NS_MISP_PRE  + ":" + "attachedFileType";
	
	/**
	 * DFSスキーマでのGeometryPropertyType型
	 */
	public static final String DFS_TYPE_GEOMETRYPROPERTYTYPE = Const.NS_GML_PRE  + ":" + "GeometryPropertyType";

	/**
	 * DFSスキーマでのTimePositionType型
	 */
	public static final String DFS_TYPE_TIMEPOSITIONTYPE = Const.NS_GML_PRE  + ":" + "TimePositionType";
	
	/**
	 * XMLスキーマでの添付ファイル型
	 */
	public static final String XSD_TYPE_ATTATCHEDFILE = "xsd:string";
	
	public static final String INTERNAL_TAG_SEP = ">";
	public static final String INTERNAL_NAMESPACE_SEP = "<";
}
