package daruma.client.schemaeditor;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースファイルからメッセージを読み込むためのクラス
 * @author shumi
 *
 */
public class Messages {
	/**
	 * リソースバンドル名
	 */
	private static final String BUNDLE_NAME = "messages"; //$NON-NLS-1$

	/**
	 * リソースバンドル
	 */
	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	/**
	 * メッセージを生成する
	 *
	 */
	private Messages() {
	}

	/**
	 * メッセージ文字列を取得する
	 * @param key　メッセージキー
	 * @return　メッセージ文字列
	 */
	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
