package daruma.client.schemaeditor.ui.actions;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.eclipse.jface.action.Action;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.FileDialog;

import daruma.bus.processor.csv.MispSchemaAccess;
import daruma.client.schemaeditor.ui.views.SchemaEditorView;
import daruma.client.schemaeditor.ui.views.SwtUtil;

/**
 * XSDエキスポートアクション
 */
public class ImportXsdAction {
	protected static Logger logger = LogManager
			.getLogger(ImportXsdAction.class.getClass());

	/**
	 * XSDエキスポートアクションを生成する
	 */
	public static Action makeAction() {
		return new Action() {
			/**
			 * (non-Javadoc)
			 * 
			 * @see org.eclipse.jface.action.Action#run()
			 */
			public void run() {
				SchemaEditorView view = (SchemaEditorView) SwtUtil
						.findView(SchemaEditorView.ID);
				if (view != null) {
					String ext = MispSchemaAccess.XSD_DFT_FILE_EXT;
					FileDialog openDialog = new FileDialog(view.getViewSite()
							.getShell(), SWT.OPEN);
					openDialog.setFilterExtensions(new String[] { "*." + ext,
							"*.*" });
					String file = openDialog.open();
					if (file != null) {
						if (!file.endsWith("." + ext)) //$NON-NLS-1$
							file = file + "." + ext; //$NON-NLS-1$
						logger.info("Import XSD File:" + file);
						view.importXsd(file);
					}
				}
			}
		};
	}
}