package daruma.client.schemaeditor.ui.views;

import org.eclipse.jface.viewers.CellEditor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

/**
 * テーブルビュー用コンボテキストセルエディタ
 * 
 * @author shumi
 * @deprecated
 */
public class ComboTextCellEditor extends CellEditor {
	/**
	 * コンボボックス
	 */
	private Combo cmbEditor;

	/**
	 * アイテム配列
	 */
	private String[] items = null;

	/**
	 * コンボボックスコンストラクタ
	 * 
	 */
	ComboTextCellEditor() {
		super();
	}

	/**
	 * コンボボックスコンストラクタ
	 * 
	 * @param parent
	 *            親コンポジット
	 * @param items
	 *            初期アイテム配列
	 */
	ComboTextCellEditor(Composite parent, String[] items) {
		super(parent);
		setItems(items);
	}

	/**
	 * コンボボックスコンストラクタ
	 * 
	 * @param parent
	 *            親コンポジット
	 * @param items
	 *            初期アイテム配列
	 * @param style
	 *            スタイル
	 */
	ComboTextCellEditor(Composite parent, String[] items, int style) {
		super(parent, style);
		setItems(items);
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.viewers.CellEditor#createControl(org.eclipse.swt.widgets.Composite)
	 */
	protected Control createControl(Composite parent) {
		cmbEditor = new Combo(parent, SWT.DROP_DOWN);
		return cmbEditor;
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.viewers.CellEditor#doGetValue()
	 */
	protected Object doGetValue() {
		return cmbEditor.getText();
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.viewers.CellEditor#doSetFocus()
	 */
	protected void doSetFocus() {
		cmbEditor.setFocus();
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.viewers.CellEditor#doSetValue(java.lang.Object)
	 */
	protected void doSetValue(Object value) {
		if ((value != null) && (value instanceof String)) {
			cmbEditor.setText((String) value);
		}

	}

	/**
	 * アイテム配列を取得する
	 * 
	 * @return アイテム配列
	 */
	protected String[] getItems() {
		return items;
	}

	/**
	 * アイテム配列を設定する
	 * 
	 * @param items
	 *            アイテム配列
	 */
	protected void setItems(String[] items) {
		this.items = items;
		if (cmbEditor != null) {
			String currVal = cmbEditor.getText();
			cmbEditor.removeAll();
			if (items != null) {
				for (int cnt = 0; cnt < items.length; cnt++) {
					cmbEditor.add(items[cnt]);
				}
			}
			cmbEditor.setText(currVal);
		}
	}

}
