package daruma.client.schemaeditor.ui.views;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.jface.viewers.*;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;

/**
 * テーブルビュー用コンボテキストセルエディタ
 * 
 * @author shumi
 * @deprecated
 * 
 */
public class ComboTextDialogCellEditor extends DialogCellEditor {
	/**
	 * アイテム値
	 */
	private String itemValue = "";

	/**
	 * アイテム配列
	 */
	private String[] items = null;

	/**
	 * タイトル
	 */
	private String title;

	/**
	 * ラベル
	 */
	private String label;

	/**
	 * コンボボックスダイアログコンストラクタ
	 * 
	 */
	ComboTextDialogCellEditor() {
		super();
	}

	/**
	 * コンボボックスダイアログコンストラクタ
	 * 
	 * @param parent
	 *            親コンポジット
	 * @param items
	 *            初期アイテム配列
	 */
	ComboTextDialogCellEditor(Composite parent, String[] items, String title,
			String label) {
		super(parent);
		setItems(items);
		this.title = title;
		this.label = label;
	}

	/**
	 * コンボボックスダイアログコンストラクタ
	 * 
	 * @param parent
	 *            親コンポジット
	 * @param items
	 *            初期アイテム配列
	 * @param style
	 *            スタイル
	 */
	ComboTextDialogCellEditor(Composite parent, String[] items, int style) {
		super(parent, style);
		setItems(items);
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.viewers.CellEditor#doSetValue(java.lang.Object)
	 */
	protected void doSetValue(Object value) {
		this.itemValue = (String) value;
		super.doSetValue(value);
	}

	/**
	 * アイテム配列を取得する
	 * 
	 * @return アイテム配列
	 */
	protected String[] getItems() {
		return items;
	}

	/**
	 * アイテム配列を設定する
	 * 
	 * @param items
	 *            アイテム配列
	 */
	protected void setItems(String[] items) {
		this.items = items;
	}

	protected Object openDialogBox(Control cellEditorWindow) {
		Dialog dialog = new ComboTextDialog(cellEditorWindow.getShell(), 300,
				150) {

		};
		dialog.open();
		return itemValue;
	}

	/**
	 * @deprecated
	 * @author shumi
	 *
	 */
	class ComboTextDialog extends GenericDialog {
		/**
		 * コンボボックス
		 */
		private Combo cmbEditor;

		/**
		 * 指定されたタイトル、幅、高でダイアログを生成します
		 * 
		 * @param parentShell
		 *            親シェル
		 * @param title
		 *            タイトル
		 * @param width
		 *            幅
		 * @param height
		 *            高さ
		 */
		protected ComboTextDialog(Shell parentShell, int width, int height) {
			super(parentShell, title, width, height);
		}

		public void createPropertyDialogArea(Composite composite) {
			composite.setLayout(SwtUtil.makeGridLayout(2));
			new Label(composite, SWT.NULL).setText(label);
			cmbEditor = new Combo(composite, SWT.DROP_DOWN);
			cmbEditor.removeAll();
			if (items != null) {
				for (int cnt = 0; cnt < items.length; cnt++) {
					cmbEditor.add(items[cnt]);
				}
			}
			cmbEditor.setText(itemValue);
		}

		public void dialogClose(boolean flgCancel) {
			if (!flgCancel)
				itemValue = cmbEditor.getText();
		}

		public void widgetSelected(SelectionEvent e) {
		}

		public void widgetDefaultSelected(SelectionEvent e) {
		}
	}
}
