package daruma.client.schemaeditor.ui.views;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

import daruma.bus.processor.csv.MispSchema.MispSchemaElement;
import daruma.client.schemaeditor.Messages;

/**
 * maxOccurが１以上の要素の最大インデックスを取得するためのダイアログ
 * @author shumi
 *
 */
public class GetIndexDialog  extends GenericDialog{
	
	protected GetIndexDialog(Shell parentShell) {
		super(parentShell, Messages.getString("GetIndexDialog.0"), 340, 260); //$NON-NLS-1$
		super.setCancelText(""); //$NON-NLS-1$
		super.setAllowClose(false);
	}
	
	Composite parent ;
	MispSchemaElement element;
	String xpathPrefix;
	boolean blMaxIndex;
	String index;
	Text txtIndex;
	
	public void setData(MispSchemaElement element, String xpathPrefix, boolean blMaxIndex)
	{
		this.element = element;
		this.xpathPrefix = xpathPrefix;
		this.blMaxIndex = blMaxIndex;
	}
	
	public void createPropertyDialogArea(Composite composite) {
		
		int colNum = 2;

		this.parent = composite;
		parent.setLayout(SwtUtil.makeGridLayout(colNum));
		
		new Label(composite, SWT.NULL).setText(Messages.getString("GetIndexDialog.2")); //$NON-NLS-1$
		new Label(composite, SWT.NULL).setText(xpathPrefix + element.getName());
	
		new Label(composite, SWT.NULL).setText(Messages.getString("GetIndexDialog.3")); //$NON-NLS-1$
		new Label(composite, SWT.NULL).setText(element.getType());
		
		new Label(composite, SWT.NULL).setText(Messages.getString("GetIndexDialog.4")); //$NON-NLS-1$
		new Label(composite, SWT.NULL).setText(element.getMinOccurs());
		
		new Label(composite, SWT.NULL).setText(Messages.getString("GetIndexDialog.5")); //$NON-NLS-1$
		new Label(composite, SWT.NULL).setText(element.getMaxOccurs());
		
		
		Label lblTitle = new Label(composite, SWT.NULL);
		lblTitle.setLayoutData(SwtUtil.makeHorVarGridData(100, 20, colNum));
		if(blMaxIndex)
		{
			lblTitle.setText(Messages.getString("GetIndexDialog.6")); //$NON-NLS-1$
		}
		else
		{
			lblTitle.setText(Messages.getString("GetIndexDialog.7")); //$NON-NLS-1$
		}
		txtIndex = new Text(composite, SWT.BORDER);
		txtIndex.setLayoutData(SwtUtil.makeHorVarGridData(100, 20, colNum));
		txtIndex.setText(index);
	}

	public void dialogClose(boolean flgCancel) {
		index = txtIndex.getText();
	}

	public void widgetSelected(SelectionEvent e) {
	}

	public void widgetDefaultSelected(SelectionEvent e) {
	}

	/**
	 * indexを取得する
	 * @return Returns the index.
	 */
	public String getIndex() {
		return index;
	}

	/**
	 * indexをセットする
	 * @param index The index to set.
	 */
	public void setIndex(String index) {
		this.index = index;
	}
 
}
