<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2004/10/xpath-functions" xmlns:xdt="http://www.w3.org/2004/10/xpath-datatypes" xmlns:cx="http://staff.aist.go.jp/i.noda/Standard/2005/CsvXml" xmlns:csvx="http://www.netconscious.co.jp/daruma/csvx" xmlns:outxsl="http://www.w3.org/1999/XSL/TransformAlias" xmlns:misp="http://www.infosharp.org/misp" xmlns:gml="http://www.opengis.net/gml" xmlns:rcbase="http://staff.aist.go.jp/i.noda/Rescue/RandomCity/base" xmlns:tns="__TARGETNAMESPACE__">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:namespace-alias stylesheet-prefix="outxsl" result-prefix="xsl"/>
	<xsl:template match="/">
		<outxsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
			<outxsl:output method="xml" version="1.0" encoding="UTF-8" indent="no"/>
			<xsl:apply-templates select="cx:Config/cx:csv"/>
		</outxsl:stylesheet>
	</xsl:template>
	<xsl:template match="cx:Config/cx:csv">
		<outxsl:template match="misp:GetFeatureResponse">
					<outxsl:apply-templates select="misp:FeatureCollection"/>
		</outxsl:template>

		<outxsl:template match="misp:ElapsedTime">
		</outxsl:template>

		<outxsl:template match="misp:FeatureCollection">
		<csvx:data>
			<outxsl:apply-templates select="gml:featureMember"/>
			</csvx:data>
		</outxsl:template>
		
		<outxsl:template match="gml:featureMember">
			<outxsl:variable name="rowcount">
			<outxsl:number/>
		</outxsl:variable>
		
		<csvx:row>
			<xsl:attribute name="count">{$rowcount}</xsl:attribute>
			<outxsl:apply-templates select="tns:{@element}"/>
		</csvx:row>
		</outxsl:template>

		<outxsl:template match="tns:{@element}">
			<xsl:call-template name="template1"/>
		</outxsl:template>
		
	</xsl:template>
	

	<xsl:template name="template1">
		<xsl:for-each select="./cx:columnList/cx:column">
			<csvx:column name="{@name}" pos="{position()}">
				<xsl:variable name="addTnsName">
					<xsl:call-template name="addTns">
						<xsl:with-param name="string" select="@xpath"/>
					</xsl:call-template>
				</xsl:variable>
				<outxsl:value-of select="{$addTnsName}"/>
			</csvx:column>
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="addTns">
		<xsl:param name="string" select="''"/>
		<xsl:choose>
			<xsl:when test="contains($string, '/')">
				<xsl:call-template name="addTns2">
					<xsl:with-param name="string" select="substring-before($string, '/')"/>
				</xsl:call-template>
				<xsl:value-of select="'/'"/>
				<xsl:call-template name="addTns">
					<xsl:with-param name="string" select="substring-after($string, '/')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="addTns2">
					<xsl:with-param name="string" select="$string"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="addTns2">
		<xsl:param name="string" select="''"/>

		<xsl:choose>
			<xsl:when test="contains($string, ':')">
				<xsl:value-of select="$string"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="starts-with($string, '@')">
						<xsl:value-of select="concat('@tns:', substring-after($string, '@'))"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="concat('tns:', $string)"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>
	
	
	