package application.runtime;

import org.apache.commons.cli.Option;

public class CommandLineOption {

    private String optionName = null;
    private String argName = null;
    private int argCount = 0;
    private String description;
    private boolean required = false;
    private char valueSeparator = ';';
    private boolean hasValue = false;
    private boolean optionalArg = false;

    public int getArgCount() {
        return argCount;
    }

    public String getArgName() {
        return argName;
    }

    public void setArgCount(int argCount) {
        this.argCount = argCount;
    }

    public void setArgName(String argName) {
        this.argName = argName;
    }

    public boolean isHasValue() {
        return hasValue;
    }

    public void setHasValue(boolean hasValue) {
        this.hasValue = hasValue;
    }

    public char getValueSeparator() {
        return valueSeparator;
    }

    public void setValueSeparator(char valueSeparator) {
        this.valueSeparator = valueSeparator;
    }

    public String getDescription() {
        return this.description;
    }

    public void setdescription(String argDescription) {
        this.description = argDescription;
    }

    public String getOptionName() {
        return optionName;
    }

    public void setOptionName(String optionName) {
        this.optionName = optionName;
    }

    public boolean isRequired() {
        return required;
    }

    public void setRequired(boolean required) {
        this.required = required;
    }

    protected Option createOption() {
        Option option = new Option(this.optionName, this.hasValue, this.description);
        option.setRequired(this.required);
        option.setValueSeparator(this.valueSeparator);
        option.setArgName(this.argName);
        option.setArgs(this.argCount);
        option.setOptionalArg(this.optionalArg);
        return option;
    }

    public boolean isOptionalArg() {
        return optionalArg;
    }

    public void setOptionalArg(boolean optionalArg) {
        this.optionalArg = optionalArg;
    }
}
