package application.runtime;

import java.io.File;
import java.util.List;

import application.startup.EnvironmentConfigurator;
import application.startup.FileFinder;


public class ServiceComponentConfig {

    private String componentID;
    private String libraryPath;
    private String configPath;
    private ClassLoader classLoader;

    public ClassLoader getClassLoader() {
        initialize();
        return classLoader;
    }

    public void setClassLoader(ClassLoader classLoader) {
        this.classLoader = classLoader;
    }

    public String getConfigPath() {
        return configPath;
    }

    public String getLibraryPath() {
        return libraryPath;
    }

    

    public void setConfigPath(String configPath) {
        this.configPath = configPath;
    }

    public void setLibraryPath(String libraryPath) {
        this.libraryPath = libraryPath;
    }

    

    public String getComponentID() {
        return componentID;
    }

    public void setComponentID(String componentID) {
        this.componentID = componentID;
      }
    
    public void initialize(){
        
        if(this.classLoader!=null)
            return;
        
        File libraryDir = new File(this.libraryPath);
        if(libraryDir.exists() && libraryDir.isDirectory()){
            List classpathList = FileFinder.getFiles(libraryDir,".*\\.jar");
            if(classpathList!=null) {
                ClassLoader cl = EnvironmentConfigurator.createClassLoader(classpathList);
                this.classLoader = cl;
            }
        }
        
    }

}
