package application.startup;

import java.io.BufferedReader;
import java.io.File;
import java.io.InputStreamReader;
import java.util.Date;

public class Start2 {

    static public void main(String[] args) {
    	Date startTm = new Date();
    	String dirName = System.getProperty("user.dir") + "/work/log";
    	File logDir = new File(dirName);
       	logDir.mkdirs();
       	int rc = start(args);
        System.gc();
        Date endTm = new Date();
        long times = endTm.getTime() - startTm.getTime();
        //System.out.println("TIMES:" + (times / 1000) + "." + (times % 1000) + "sec");
        System.exit(rc);
    }

    static int start(String[] args) {

        try {
            if (EnvironmentConfigurator.initialize(false)) {
                Object result = EnvironmentConfigurator.startMainClass(args);

                //Java 1.4対応 shumi
                boolean silentMode = "true".equalsIgnoreCase(System.getProperty(SystemProps.PROPS_SYS_SILENT_MODE));
                //boolean silentMode = Boolean.parseBoolean(System.getProperty(SystemProps.PROPS_SYS_SILENT_MODE));

                if (!silentMode)
                    System.out.println(System.getProperty(SystemProps.PROPS_APPLICATION_NAME) + " was started.");

                if (Boolean.getBoolean(SystemProps.PROPS_SYS_SERVER_MODE)) {
                    // wait for shutdown command
                    boolean bExit = false;
                    BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
                    // wait a shutdown command from standard input.
                    while (!bExit) {
                        String command = reader.readLine();
                        if (command.equals("shutdown")) {
                            bExit = true;
                        }
                    }
                }

                EnvironmentConfigurator.shutdownMainClass();

                System.gc();

                if (!silentMode)
                    System.out.println(System.getProperty(SystemProps.PROPS_APPLICATION_NAME) + " was stopped.");

                if(result instanceof Integer) return ((Integer)result).intValue();
                else return(0);
            }
            else {
                return(1);
            }
        } catch (Exception e) {
			if(System.getProperty("DEFAULT_DEBUG_MODE") == "true"){
				e.printStackTrace();
			}
            return(1);
        }
    }

}
