package application.util.monitor;

import java.io.File;
import java.io.FileFilter;
import java.util.regex.Pattern;

public class DirectoryChangeMonitorFilter implements FileFilter {

    private Pattern filterPattern;
    private int filterType;

    protected DirectoryChangeMonitorFilter(Pattern filterPattern, int filterType) {
        this.filterPattern = filterPattern;
        this.filterType = filterType;
    }

    public boolean accept(File file) {

        if (!((filterType & DirectoryMonitor.FILTER_FOR_FILE) > 0))
            if (file.isFile())
                return false;
        if (!((filterType & DirectoryMonitor.FILTER_FOR_DIRECTORY) > 0))
            if (file.isDirectory())
                return false;

        if (filterPattern == null)
            return true;

        return filterPattern.matcher(file.getName()).matches();
    }

}
