package daruma.bus.message;

import java.io.File;
import java.io.InputStream;
import java.util.List;
import java.util.Properties;

import daruma.bus.processor.ProcessorException;

public interface Message {

    /**
     * リクエスト内容（メッセージオブジェクト）の取得
     * 
     * @return
     */
    public Payload getPayload();

    /**
     * リクエスト内容の設定
     * 
     * @param message メッセージ
     */
    public void setPayload(Payload messageData);

    /**
     * リクエストの送信
     * 
     * @return
     * @throws MessageException
     */
    public void send() throws ProcessorException;

    public byte[] getValueFromStream(InputStream in) throws MessageException;

    public byte[] getValueFromFile(File file) throws MessageException;

    public void setProperties(Properties properties);

    public Properties getProperties();

    public void setProcessorList(List processorList);

    public List getProcessorList();

    public boolean isVerboseMode();

}
