package daruma.bus.processor.csv;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースファイルからメッセージを読み込むためのクラス
 * @author shumi
 *
 */
public class MispSchemaMessages {
	private static final String BUNDLE_NAME = "daruma.bus.processor.csv.misp_schema_messages"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	/**
	 * メッセージ文字列を取得する
	 * @param key　メッセージキー
	 * @return　メッセージ文字列
	 */
	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
