package daruma.client.test;

import java.io.File;
import java.util.ArrayList;
import java.util.Properties;

import junit.framework.TestCase;
import application.startup.SystemProps;
import daruma.bus.message.StandardMessage;
import daruma.bus.message.StandardPayload;
import daruma.bus.processor.ConsoleWriter;
import daruma.bus.processor.csv.CSVFileReader;
import daruma.bus.processor.misp.BuiltinFilter;
import daruma.bus.processor.xslt.XslTransformer;

public class BuiltinFilterTestCsv2Xml extends TestCase {

	protected void setUp() throws Exception {
		SystemProps.loadSystemProperties();
	}

	public void testInsert() {

		try {

			StandardMessage message = new StandardMessage();
			ConsoleWriter writer = new ConsoleWriter();
			StandardPayload payload = new StandardPayload();
			CSVFileReader reader = new CSVFileReader();
			XslTransformer transformer = new XslTransformer();
			transformer
					.setXsltFile("./sample_2/xslt/building_insert_csvx2xml.xslt");		
			message.setProcessorList(new ArrayList());

			int mode = 1;
			if (mode == 1) {
				//XML
				payload.load(new File("./sample_2/building_insert_sample.xml"));
				message.setPayload(payload);
			}
			else if(mode == 2)
			{
				//CSVX->XML
				payload.load(new File("./sample_2/building_insert_sample_csvx.xml"));
				message.setPayload(payload);
				message.getProcessorList().add(transformer);
			}
			else if(mode == 3)
			{
				//CSV->XML
				payload.load(new File("./sample_2/building_insert_sample.csv"));
				message.setPayload(payload);
				message.getProcessorList().add(reader);
				message.getProcessorList().add(transformer);
			}

			message.getProcessorList().add(
					new BuiltinFilter(BuiltinFilter.MODE_CSV2XML));
			message.getProcessorList().add(writer);
			message.setProperties(new Properties());
//			message.getProperties().setProperty(
//					MispSoapClient.PROPS_MESSAGE_TYPE,
//					MispSoapClient.MSGTYPE_TRANSACTION_INSERT);
			message.getProperties().setProperty(
					CSVFileReader.PROPS_INPUT_ENCODING, "Shift_JIS");
			
			message.send();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
