package daruma.client.test;

import java.io.File;
import java.util.ArrayList;
import java.util.Properties;

import junit.framework.TestCase;
import application.startup.SystemProps;
import daruma.bus.message.StandardMessage;
import daruma.bus.message.StandardPayload;
import daruma.bus.processor.ConsoleWriter;
import daruma.bus.processor.csv.CSVFileReader;
import daruma.bus.processor.misp.BuiltinFilter;

public class BuiltinFilterTestXml2Csv extends TestCase {

    protected void setUp() throws Exception {
        SystemProps.loadSystemProperties();
    }

    public void testInsert() {

        try {
            ConsoleWriter writer = new ConsoleWriter();

            StandardMessage message = new StandardMessage();
            StandardPayload payload = new StandardPayload();
            payload.load(new File("./sample_2/building_getfeature_response_sample.xml"));
            message.setPayload(payload);

            message.setProcessorList(new ArrayList());
            message.getProcessorList().add(new BuiltinFilter(BuiltinFilter.MODE_XML2CSV));            
            message.getProcessorList().add(writer);

            message.setProperties(new Properties());
//            message.getProperties().setProperty(MispSoapClient.PROPS_MESSAGE_TYPE,
//                MispSoapClient.MSGTYPE_TRANSACTION_INSERT);
            message.getProperties().setProperty(CSVFileReader.PROPS_INPUT_ENCODING, "Shift_JIS");

            message.send();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
