package daruma.client.test;

import java.io.File;
import java.util.ArrayList;
import java.util.Properties;

import junit.framework.TestCase;
import application.startup.SystemProps;
import daruma.bus.message.StandardMessage;
import daruma.bus.message.StandardPayload;
import daruma.bus.processor.csv.CSVFileReader;
import daruma.bus.processor.xslt.XslTransformer;

public class CSVFileTest extends TestCase {

    protected void setUp() throws Exception {
        SystemProps.loadSystemProperties();
    }

    public void testCsvFile() {

        CSVFileReader reader = new CSVFileReader();
        
        XslTransformer transformer = new XslTransformer();
        transformer.setXsltFile("./work/xslt/building_csvx2xml_01.xslt");

        StandardMessage message = new StandardMessage();
        StandardPayload payload = new StandardPayload();
        payload.attach(new File("./work/sample/bulding_sample_01.csv"));
        message.setPayload(payload);

        message.setProcessorList(new ArrayList());
        message.getProcessorList().add(reader);
        message.getProcessorList().add(transformer);

        message.setProperties(new Properties());
        message.getProperties().setProperty(CSVFileReader.PROPS_INPUT_ENCODING,
                "Shift_JIS");

        try {
            message.send();
        } catch (Exception e) {
            e.printStackTrace();
        }

    }
}
