package daruma.client.test;

import java.io.File;
import java.util.ArrayList;
import java.util.Properties;

import junit.framework.TestCase;
import application.startup.SystemProps;
import daruma.bus.message.StandardMessage;
import daruma.bus.message.StandardPayload;
import daruma.bus.processor.csv.CSVFileWriter;
import daruma.bus.processor.misp.GetFeatureFilterReader;
import daruma.bus.processor.misp.MispSoapClient;
import daruma.bus.processor.xslt.XslTransformer;

public class MispGetFeatureTest extends TestCase {

        protected void setUp() throws Exception {
            SystemProps.loadSystemProperties();
        }

        public void testGetFeature() {

            try {

                GetFeatureFilterReader reader = new GetFeatureFilterReader();
                
                MispSoapClient client = new MispSoapClient();
                client.setHost("192.168.0.5");
                client.setPortNumber(5050);

                XslTransformer transformer1 = new XslTransformer();
                transformer1
                        .setXsltFile("./sample/xslt/building_getfeature_xml2csvx.xslt");

                CSVFileWriter writer = new CSVFileWriter();
                writer
                        .setCsvx2csvTempalte("./sample/xslt/csvx2csv_dq_and_comma.xslt");

                StandardMessage message = new StandardMessage();
                message.setVerboseMode(false);
                StandardPayload payload = new StandardPayload();
                payload
                        .load(new File(
                                "./sample/building_getfeature_sample.xml"));
                message.setPayload(payload);

                message.setProcessorList(new ArrayList());
                message.getProcessorList().add(reader);
                message.getProcessorList().add(client);
                message.getProcessorList().add(transformer1);
                message.getProcessorList().add(writer);

                message.setProperties(new Properties());
//                message.getProperties().setProperty(
//                        MispSoapClient.PROPS_MESSAGE_TYPE,
//                        MispSoapClient.MSGTYPE_GET_FEATURE);
                message.getProperties().setProperty(
                        CSVFileWriter.PROPS_OUTPUT_ENCODING, "Shift_JIS");
                message.getProperties().setProperty(
                        CSVFileWriter.PROPS_OUTPUT_PATH,
                        CSVFileWriter.VALUE_OUTPUT_PATH_STDOUT);
                message.getProperties().setProperty(
                        GetFeatureFilterReader.PROPS_FILTER_TYPE,
                        GetFeatureFilterReader.FILTERTYPE_XML);

                message.send();
            } catch (Exception e) {
                e.printStackTrace();
            }

        }


}
