package daruma.client.test;

import java.io.File;
import java.util.ArrayList;
import java.util.Properties;

import junit.framework.TestCase;
import application.startup.SystemProps;
import daruma.bus.message.StandardMessage;
import daruma.bus.message.StandardPayload;
import daruma.bus.processor.ConsoleWriter;
import daruma.bus.processor.csv.CSVFileReader;
import daruma.bus.processor.misp.MispSoapClient;
import daruma.bus.processor.xslt.XslTransformer;

public class MispInsertTest extends TestCase {

    protected void setUp() throws Exception {
        SystemProps.loadSystemProperties();
    }

    public void testInsert() {

        try {
            MispSoapClient client = new MispSoapClient();
            client.setHost("192.168.0.5");
            client.setPortNumber(5050);

            CSVFileReader reader = new CSVFileReader();

            XslTransformer transformer = new XslTransformer();
            transformer.setXsltFile("./sample/xslt/building_insert_csvx2xml.xslt");

            ConsoleWriter writer = new ConsoleWriter();

            StandardMessage message = new StandardMessage();
            StandardPayload payload = new StandardPayload();
            payload.load(new File("./sample/building_insert_sample.csv"));
            message.setPayload(payload);

            message.setProcessorList(new ArrayList());
            message.getProcessorList().add(reader);
            message.getProcessorList().add(transformer);
            message.getProcessorList().add(client);
            message.getProcessorList().add(writer);

            message.setProperties(new Properties());
//            message.getProperties().setProperty(MispSoapClient.PROPS_MESSAGE_TYPE,
//                MispSoapClient.MSGTYPE_TRANSACTION_INSERT);
            message.getProperties().setProperty(CSVFileReader.PROPS_INPUT_ENCODING, "Shift_JIS");

            message.send();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
