package daruma.client.test;

import java.io.File;
import java.util.ArrayList;
import java.util.Properties;

import junit.framework.TestCase;
import application.startup.SystemProps;
import daruma.bus.message.StandardMessage;
import daruma.bus.message.StandardPayload;
import daruma.bus.processor.ConsoleWriter;
import daruma.bus.processor.misp.MispSoapClient;

public class MispSoapDirect extends TestCase {

    protected void setUp() throws Exception {
        SystemProps.loadSystemProperties();
    }

    public void testSoapDirect() {

        try {
            MispSoapClient client = new MispSoapClient();
            client.setHost("192.168.0.5");
            client.setPortNumber(5050);

            
            ConsoleWriter writer = new ConsoleWriter();

            StandardMessage message = new StandardMessage();
            StandardPayload payload = new StandardPayload();
            payload.load(new File("./sample/building_getfeature_sample.xml"));
            message.setPayload(payload);

            message.setProcessorList(new ArrayList());
            message.getProcessorList().add(client);
            message.getProcessorList().add(writer);

            message.setProperties(new Properties());
//            message.getProperties().setProperty(MispSoapClient.PROPS_MESSAGE_TYPE,
//                MispSoapClient.MSGTYPE_SOAP_DIRECT);
            
            message.send();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
