package daruma.client.test;

import java.io.FileInputStream;

import junit.framework.TestCase;

import org.apache.xerces.dom.DOMImplementationImpl;
import org.apache.xerces.impl.xs.XMLSchemaLoader;
import org.apache.xerces.xs.XSComplexTypeDefinition;
import org.apache.xerces.xs.XSConstants;
import org.apache.xerces.xs.XSElementDeclaration;
import org.apache.xerces.xs.XSModel;
import org.apache.xerces.xs.XSModelGroup;
import org.apache.xerces.xs.XSNamedMap;
import org.apache.xerces.xs.XSObject;
import org.apache.xerces.xs.XSObjectList;
import org.apache.xerces.xs.XSParticle;
import org.apache.xerces.xs.XSTerm;
import org.apache.xerces.xs.XSTypeDefinition;
import org.w3c.dom.ls.DOMImplementationLS;
import org.w3c.dom.ls.LSInput;

public class XmlParseTest extends TestCase {

    public static void main(String[] args) {
        junit.swingui.TestRunner.run(XmlParseTest.class);
    }

    public void testXmlParser() {
        try {
    
                FileInputStream fileIn = new FileInputStream("./work/samples/randomcity2/building.xsd");

                XMLSchemaLoader loader = new XMLSchemaLoader();
                DOMImplementationLS domImplLS = new DOMImplementationImpl();
                LSInput in = domImplLS.createLSInput();
                in.setByteStream(fileIn);

                
                
                XSModel model = loader.load(in);
                XSNamedMap map = model
                        .getComponents(XSConstants.ELEMENT_DECLARATION);
                XSObject object = map.itemByName(null, "Building");
                if (object.getType() == XSConstants.ELEMENT_DECLARATION) {
                    XSElementDeclaration el = (XSElementDeclaration) object;
                    XSTypeDefinition type = el.getTypeDefinition();
                    if (type.getTypeCategory() == XSTypeDefinition.COMPLEX_TYPE) {
                        XSComplexTypeDefinition complex = (XSComplexTypeDefinition) type;
                        if (complex.getContentType() == XSComplexTypeDefinition.CONTENTTYPE_MIXED
                                || complex.getContentType() == XSComplexTypeDefinition.CONTENTTYPE_ELEMENT) {
                            XSParticle particle = complex.getParticle();
                            XSTerm term = particle.getTerm();
                            if (term.getType() == XSConstants.MODEL_GROUP) {
                                XSModelGroup modelGroup = (XSModelGroup) term;
                                XSObjectList list = modelGroup.getParticles();
                                for (int iList = 0; iList < list.getLength(); iList++) {
                                    XSParticle obj = (XSParticle) list
                                            .item(iList);
                                    
                                    XSElementDeclaration elementDec = (XSElementDeclaration) obj;
                                    XSTypeDefinition typeDec = elementDec
                                            .getTypeDefinition();
                                    String nameSpace = typeDec.getNamespace();
                                    System.out.println(nameSpace);
                                }
                            }
                        }
                    }

                }
        } catch (Exception e) {
            e.printStackTrace();
        }

    }

    protected void tearDown() throws Exception {
        System.gc();
        super.tearDown();
    }

}
