package daruma.client.test;

import java.io.File;
import java.util.ArrayList;
import java.util.Properties;

import junit.framework.TestCase;
import application.startup.SystemProps;
import daruma.bus.message.StandardMessage;
import daruma.bus.message.StandardPayload;
import daruma.bus.processor.xslt.XslTransformer;

public class XsltTest extends TestCase {

    protected void setUp() throws Exception {
        SystemProps.loadSystemProperties();
    }

    public void testBuldingXmlTrans() {

        XslTransformer transformer = new XslTransformer();
        transformer.setXsltFile("./work/xslt/building_xml2csvx_01.xslt");

        StandardMessage message = new StandardMessage();
        StandardPayload payload = new StandardPayload();
        payload.attach(new File("./work/sample/building_sample_01.xml"));
        message.setPayload(payload);

        message.setProcessorList(new ArrayList());
        message.getProcessorList().add(transformer);

        message.setProperties(new Properties());
        transformer.setXmlEncoding("Shift_JIS");
        transformer.setOmitXmlDeclaration("no");

        try {
            message.send();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testCSVXTrans() {

        XslTransformer transformer = new XslTransformer();
        transformer.setXsltFile("./work/xslt/csvx2csv_dq_and_comma.xslt");

        StandardMessage message = new StandardMessage();
        StandardPayload payload = new StandardPayload();
        //payload.attach(new File("./work/sample/building_sample_01_csvx.xml"));
        payload.attach(new File("./work/daruma.bus.processor.xslt.XsltTransformer8875.xml"));
        message.setPayload(payload);

        message.setProcessorList(new ArrayList());
        message.getProcessorList().add(transformer);

        message.setProperties(new Properties());
        transformer.setXmlEncoding("Shift_JIS");
        transformer.setOmitXmlDeclaration("yes");

        try {
            message.send();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
