package daruma.test;

public class ProcessorTestParams {
	public static String[][] csv2xmlParamsList = {
			{ "./testdata/processor/builtin_csv2xml/test1_input.xml",
					"./testdata/processor/builtin_csv2xml/test1_result.xml" },
			{ "./testdata/processor/builtin_csv2xml/test2_input.xml",
					"./testdata/processor/builtin_csv2xml/test2_result.xml" },
			{ "./testdata/processor/builtin_csv2xml/test3_input.xml",
					"./testdata/processor/builtin_csv2xml/test3_result.xml" },
			{ "./testdata/processor/builtin_csv2xml/test4_input.xml",
					"./testdata/processor/builtin_csv2xml/test4_result.xml" },
			{ "./testdata/processor/builtin_csv2xml/test5_input.xml",
					"./testdata/processor/builtin_csv2xml/test5_result.xml" }, };

	public static String[][] xml2csvParamsList = {
			{ "./testdata/processor/builtin_xml2csv/test1_input.xml",
					"./testdata/processor/builtin_xml2csv/test1_result.xml" },
			{ "./testdata/processor/builtin_xml2csv/test2_input.xml",
					"./testdata/processor/builtin_xml2csv/test2_result.xml" },
			{ "./testdata/processor/builtin_xml2csv/test3_input.xml",
					"./testdata/processor/builtin_xml2csv/test3_result.xml" },
			{ "./testdata/processor/builtin_xml2csv/test4_input.xml",
					"./testdata/processor/builtin_xml2csv/test4_result.xml" }, };

	public static String[][] sorttagParamsList = {
			{ "./testdata/processor/sorttag/test1_input.xml",
					"./testdata/processor/sorttag/test1_result.xml", "", "" },
			{ "./testdata/processor/sorttag/test2_input.xml",
					"./testdata/processor/sorttag/test2_result.xml", "",
					"target" },
			{ "./testdata/processor/sorttag/test3_input.xml",
					"./testdata/processor/sorttag/test3_result.xml",
					"http://target/ns1", "target" },
			{ "./testdata/processor/sorttag/test4_input.xml",
					"./testdata/processor/sorttag/test4_result.xml",
					"http://target/ns1", "target1" },
			{ "./testdata/processor/sorttag/test5_input.xml",
					"./testdata/processor/sorttag/test5_result.xml",
					"http://target/ns", "target" },
			{ "./testdata/processor/sorttag/test6_input.xml",
					"./testdata/processor/sorttag/test6_result.xml",
					"http://target/ns", "target1" },
			{ "./testdata/processor/sorttag/test4_input.xml",
					"./testdata/processor/sorttag/test4_result.xml", "",
					"Insert" }, };

	public static String[][] xpathParamsList = {
			{ "./testdata/processor/xpath/test1_input.xml",
					"./testdata/processor/xpath/test1_result.txt", "", "" },
			{ "./testdata/processor/xpath/test2_input.xml",
					"./testdata/processor/xpath/test2_result.txt", "", "" },
			{ "./testdata/processor/xpath/test3_input.xml",
					"./testdata/processor/xpath/test3_result.txt", "", "target" },
			{ "./testdata/processor/xpath/test4_input.xml",
					"./testdata/processor/xpath/test4_result.txt",
					"http://target/ns1", "target" },
			{ "./testdata/processor/xpath/test5_input.xml",
					"./testdata/processor/xpath/test5_result.txt",
					"http://target/ns1", "target1" },
			{ "./testdata/processor/xpath/test6_input.xml",
					"./testdata/processor/xpath/test6_result.txt",
					"http://target/ns", "target" },
			{ "./testdata/processor/xpath/test7_input.xml",
					"./testdata/processor/xpath/test7_result.txt",
					"http://target/ns", "target" }, };

	public static String[][] xsltParamsList = { {
			"./testdata/processor/xslt/test1_input.xml",
			"./testdata/processor/xslt/test1_input.xslt",
			"./testdata/processor/xslt/test1_result.xml" }, };

	public static String[][] csvreaderParamsList = { {
			"./testdata/processor/csvreader/test1_input.csv",
			"./testdata/processor/csvreader/test1_result.xml" }, };

	public static String[][] csvwriterParamsList = { {
			"./testdata/processor/csvwriter/test1_input.xml",
			"./testdata/processor/csvwriter/test1_result.csv" }, };

	public static String[][] csvsSchemaReaderParamsList = {
			{ "./testdata/processor/csvschemareader/test1_input.csv",
					"./testdata/processor/csvschemareader/test1_result.xml",
					"," },
			{ "./testdata/processor/csvschemareader/test2_input.csv",
					"./testdata/processor/csvschemareader/test2_result.xml",
					"," },
			{ "./testdata/processor/csvschemareader/test3_input.csv",
					"./testdata/processor/csvschemareader/test3_result.xml",
					"," },
			{ "./testdata/processor/csvschemareader/test4_input.csv",
					"./testdata/processor/csvschemareader/test4_result.xml",
					"," }, };

	public static String[][] csvsSchemaReaderErrorParamsList = {
			{ "./testdata/processor/csvschemareader/error1_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error2_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error3_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error4_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error5_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error6_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error7_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error8_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error9_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error10_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error11_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error12_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error13_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error14_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error15_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error16_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error17_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error18_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error19_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error20_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error21_input.csv", "", "," },
			{ "./testdata/processor/csvschemareader/error22_input.csv", "", "," },

	};

	public static String[][] featureTypeFilterParamsList = {
			{ "./testdata/processor/featuretype/test1_input.xml",
					"./testdata/processor/featuretype/test1_result.txt" },
			{ "./testdata/processor/featuretype/test2_input.xml",
					"./testdata/processor/featuretype/test2_result.txt" },
			{ "./testdata/processor/featuretype/test3_input.xml",
					"./testdata/processor/featuretype/test3_result.txt" },
			{ "./testdata/processor/featuretype/test4_input.xml",
					"./testdata/processor/featuretype/test4_result.txt" },
	};

}
