<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gml="http://www.opengis.net/gml" xmlns:csvx="http://www.netconscious.co.jp/daruma/csvx">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<Transaction>
			<Insert>
				<xsl:apply-templates select="csvx:data"/>
			</Insert>
		</Transaction>
	</xsl:template>
	<xsl:template match="csvx:data">
		<xsl:apply-templates select="csvx:row"/>
	</xsl:template>
	<xsl:template match="csvx:row">
		<Building>
			<xsl:apply-templates select="csvx:column[@name='location']"/>
			<xsl:apply-templates select="csvx:column[@name='id']"/>
			<xsl:apply-templates select="csvx:column[@name='representativePoint']"/>
			<xsl:apply-templates select="csvx:column[@name='structureType']"/>
			<xsl:apply-templates select="csvx:column[@name='usageType']"/>
			<xsl:apply-templates select="csvx:column[@name='nFloors']"/>
			<xsl:apply-templates select="csvx:column[@name='year']"/>
			<xsl:apply-templates select="csvx:column[@name='area']"/>
			<xsl:apply-templates select="csvx:column[@name='cirLength']"/>
			<xsl:apply-templates select="csvx:column[@name='meshId']"/>
			<damage>
				<xsl:apply-templates select="csvx:column[@name='damageGrade']"/>
				<xsl:apply-templates select="csvx:column[@name='damageProb']"/>
				<xsl:apply-templates select="csvx:column[@name='damageDirection']"/>
			</damage>
			<xsl:apply-templates select="csvx:column[@name='foo']"/>
		</Building>
	</xsl:template>
	<xsl:template match="csvx:column[@name='id']">
		<id>
			<xsl:value-of select="."/>
		</id>
	</xsl:template>
	<xsl:template match="csvx:column[@name='location']">
		<location>
			<xsl:value-of select="."/>
		</location>
	</xsl:template>
	<xsl:template match="csvx:column[@name='representativePoint']">
		<representativePoint>
			<xsl:value-of select="."/>
		</representativePoint>
	</xsl:template>
	<xsl:template match="csvx:column[@name='structureType']">
		<structureType>
			<xsl:value-of select="."/>
		</structureType>
	</xsl:template>
	<xsl:template match="csvx:column[@name='usageType']">
		<usageType>
			<xsl:value-of select="."/>
		</usageType>
	</xsl:template>
	<xsl:template match="csvx:column[@name='nFloors']">
		<nFloors>
			<xsl:value-of select="."/>
		</nFloors>
	</xsl:template>
	<xsl:template match="csvx:column[@name='year']">
		<year>
			<xsl:value-of select="."/>
		</year>
	</xsl:template>
	<xsl:template match="csvx:column[@name='area']">
		<area>
			<xsl:value-of select="."/>
		</area>
	</xsl:template>
	<xsl:template match="csvx:column[@name='cirLength']">
		<cirLength>
			<xsl:value-of select="."/>
		</cirLength>
	</xsl:template>
	<xsl:template match="csvx:column[@name='meshId']">
		<meshId>
			<xsl:value-of select="."/>
		</meshId>
	</xsl:template>
	<xsl:template match="csvx:column[@name='damageGrade']">
		<grade>
			<xsl:value-of select="."/>
		</grade>
	</xsl:template>
	<xsl:template match="csvx:column[@name='damageProb']">
		<prob>
			<xsl:value-of select="."/>
		</prob>
	</xsl:template>
	<xsl:template match="csvx:column[@name='damageDirection']">
		<direction>
			<xsl:value-of select="."/>
		</direction>
	</xsl:template>
		<xsl:template match="csvx:column[@name='foo']">
		<foo>
			<xsl:value-of select="."/>
		</foo>
	</xsl:template>
</xsl:stylesheet>
