package aist.daruma.client.darumaearth;

import java.util.Iterator;
import java.util.HashMap;

import javax.xml.XMLConstants;
import javax.xml.namespace.NamespaceContext;


public class DarumaEarthlNamespaceContext implements NamespaceContext {
	
	private HashMap<String,String> nsMap = new HashMap<String,String>();
	
	// original method
	public void registerNamespace(String prefix, String uri) throws IllegalArgumentException {
		if ( prefix == null || uri == null) {
			throw new IllegalArgumentException();
		}

		nsMap.put(prefix,uri);
	}
	
	private void registerDefaults() {
		registerNamespace(XMLConstants.XML_NS_PREFIX, XMLConstants.XML_NS_URI);
		registerNamespace(XMLConstants.XMLNS_ATTRIBUTE, XMLConstants.XMLNS_ATTRIBUTE_NS_URI);
		registerNamespace("SOAP-ENV", "http://schemas.xmlsoap.org/soap/envelope/");
		registerNamespace("gml",      "http://www.opengis.net/gml");
		registerNamespace("xlink",	   "http://www.w3.org/1999/xlink");
		registerNamespace("xsd",	   "http://www.w3.org/2001/XMLSchema");
		registerNamespace("misp",	   "http://www.infosharp.org/misp");
		registerNamespace("daruma",   "http://staff.aist.go.jp/i.noda/Rescue/DaRuMa/0.0");
	}
	
	public DarumaEarthlNamespaceContext() {
		registerDefaults();
	}
	
	// followings are implementation of NamespaceContext interface
	public String getNamespaceURI(String prefix) {
		
		if (nsMap.containsKey(prefix)){
			String uri = nsMap.get(prefix);
			return uri;
		}
		
		return XMLConstants.NULL_NS_URI;
	}
	
	public String getPrefix(String uri) {
		System.out.println("getPrefix("+uri+")"); 
		throw new UnsupportedOperationException();
	}
	
	public Iterator getPrefixes() {
		return getPrefixes(null);
	}

	public Iterator getPrefixes(String uri) {
		System.out.println("getPrefixS("+uri+")"); 
		throw new UnsupportedOperationException();		
	}
}
