[Setup]
AppName=DaRuMa
AppVerName=DaRuMa 1.0.0
AppPublisher="Itsuki Noda, National Institute of Advanced Industrial Science and Technology, Japan\nHiroki Shimora,National Research Institute for Earth Sceience and Disaster Prevention, Japan"
AppCopyright=Copyright (C) Itsuki Noda (AIST) 2004, 2005, Itsuki Noda (AIST), Hiroki Shimora (NIED) 2006,2007
AppPublisherURL=http://staff.aist.go.jp/i.noda/Rescue
;AppSupportURL=http://staff.aist.go.jp/i.noda/Rescue
;AppUpdatesURL=http://staff.aist.go.jp/i.noda/Rescue
DefaultDirName={pf}\DaRuMa
DefaultGroupName=DaRuMa
OutputBaseFilename=SetupDaRuMa
Compression=lzma
SolidCompression=yes
Uninstallable=no

[Languages]
Name: "japanese"; MessagesFile: "compiler:Languages\Japanese.isl"

[Components]
Name: "MySQL"; Description: "MySQL database server"; Types: full custom; Check: ChkExists('MySQL\mysql-essential-5.0.27-win32.msi')
Name: "JRE"; Description: "Java Runtime"; Types: full compact custom; Check: ChkExists('JRE\jre-1_5_0_10-windows-i586-p.exe')
Name: "darumaClient"; Description: "DaRuMa Clients"; Types: full compact custom; Check: ChkExists('SetupDarumaClient.exe')
Name: "darumaServer"; Description: "DaRuMa Server"; Types: full custom; Check: ChkExists('SetupDarumaServer.exe')


[Run]
Filename: "msiexec.exe"; Parameters: "/i ""{code:MyDir|}\MySQL\mysql-essential-5.0.27-win32.msi"""; Components: MySQL; Flags: hidewizard waituntilterminated
Filename: "{code:MyDir|}\JRE\jre-1_5_0_10-windows-i586-p.exe"; Components: JRE; Flags: hidewizard waituntilterminated
Filename: "{code:MyDir|}\SetupDarumaClient.exe"; Components: darumaClient; Flags: hidewizard waituntilterminated
Filename: "{code:MyDir|}\SetupDarumaServer.exe"; Components: darumaServer; Flags: hidewizard waituntilterminated

[Code]
// get directory that DaRuMa installer exists.
function MyDir(dum:String): String;
begin 
	Result := ExtractFileDir(ExpandConstant('{srcexe}'));
end;

function MyFullPath(filename: String): String;
begin
	Result := Mydir('') + '\' + filename;
end;

// check whether a file exists on tha same directory that DaRuMa installer exists.
function ChkExists(filename: String): Boolean;
begin 
	Result := FileExists(MyFullPath(filename));
end;
