@echo off
rem --------------------------------------
set ISCC="c:\Program Files\Inno Setup 5\ISCC.exe"

set BUNDLES=bundlePkg
set SVRSRC=%CD%\..\..\..\..\release\daruma-20061108
set CLISRC=%CD%\..\..\..\..\src\utils
set LICENSEFILE=%CD%\license.txt

set RELEASEDATE=20079999
set RELDIR=release-%RELEASEDATE%

@echo release date is set %RELEASEDATE%

rem --------------------------------------
rem -- copy bundle files

@echo copying bundle files (JRE, MySQL) ...
xcopy /Y /S /V /I %BUNDLES% %RELDIR%

if errorlevel 1 goto copyerr
goto setupserver

:copyerr
@echo ERROR(%errorlevel%)...  failed copying bundle files.
goto exit

rem ----------------------------------------------- build SetupDaRuMaServer.exe
:setupserver
@echo building SetupDaRuMaServer.exe ...

echo SourceDir=%SVRSRC% > setupsection.iss.inc
echo LicenseFile=%LICENSEFILE% >> setupsection.iss.inc
echo DefaultDirName={pf}\DaRuMa\daruma-%RELEASEDATE%  >> setupsection.iss.inc
echo DefaultGroupName=DaRuMa-%RELEASEDATE%  >> setupsection.iss.inc

%ISCC% /Q /O%RELDIR%  DaRuMaServer.iss 

if errorlevel 1 goto buildsvrerr
goto setupclient

:buildsvrerr
@echo ERROR(%errorlevel%)...  failed building SetupDaRuMaServer.exe.
goto exit

rem ----------------------------------------------- build SetupDaRuMaClients.exe
:setupclient
@echo building SetupDaRuMaClient.exe ...

echo SourceDir=%CLISRC% > setupsection.iss.inc
echo LicenseFile=%LICENSEFILE% >> setupsection.iss.inc
echo DefaultDirName={pf}\DaRuMa\darumaClient-%RELEASEDATE%  >> setupsection.iss.inc
echo DefaultGroupName=DaRuMaClient-%RELEASEDATE%  >> setupsection.iss.inc

%ISCC% /Q /O%RELDIR%  DaRuMaClients.iss 

if errorlevel 1 goto buildclirerr
goto setupmaster

:buildclierr
@echo ERROR(%errorlevel%)...  failed building SetupDaRuMaClient.exe.
goto exit


rem ----------------------------------------------- build SetupDaRuMa.exe
:setupmaster
@echo building SetupDaRuMa.exe ...

%ISCC% /Q /O%RELDIR%  DaRuMa.iss 

if errorlevel 1 goto buildmasterr
goto makeautorun

:buildmastererr
@echo ERROR(%errorlevel%)...  failed building SetupDaRuMa.exe.
goto exit

rem ----------------------------------------------- make autorun.inf
:makeautorun
echo [autorun] > %RELDIR%\AUTORUN.INF
echo open=SetupDaRuMa.exe >> %RELDIR%\AUTORUN.INF

rem ----------------------------------------------- post process
del setupsection.iss.inc

@echo Done.

:exit
