#!/bin/sh

progdir=./bin

perl ${progdir}/rename-files.pl

for i in *.shp ; do
  b=$(basename $i .shp)

  # remove unused DBF field
  perl ${progdir}/delete-unused-dbf-field.pl ${b}.dbf
  mv ${b}.dbf.out.dbf ${b}.dbf

  # convert to gml
  ogr2ogr -f GML ${b}.gml ${i}
  perl -i bin/sjis-utf8.pl ${b}.gml

  # schema
  perl ${progdir}/xsd2dfs.pl ${b}.xsd > ${b}.dfs
  mv ${b}.xsd ${b}.xsd.old
  Csv2Schema -in ${b}.dfs -out ${b}.xsd

  # gml data to misp
  perl -i ${progdir}/xmlns-change.pl ${b}.gml
  perl -i ${progdir}/tag-swap.pl ${b}.gml
  perl    ${progdir}/gml2insert.pl ${b}.gml > ${b}.Insert.misp
done

# end
