#!/usr/bin/perl
#
# DBF եפʥǡƿ DBF ե
#

use strict;
use warnings;
use XBase;

my $filename = $ARGV[0];

my $outfile = $filename . ".out";

my $table = new XBase $filename or die XBase->errstr;

# delete previous outputs
my $drop = new XBase $outfile;
$drop->drop if defined $drop;

my @out_enabled  = ();
my @out_fields   = ();
my @out_types    = ();
my @out_lengths  = ();
my @out_decimals = ();

my @fields   = $table->field_names;
my @types    = $table->field_types;
my @lengths  = $table->field_lengths;
my @decimals = $table->field_decimals;

for my $i (0 .. $#fields) {
    if ($fields[$i] =~ /[A-Z]{3}[1-9]/) {
	# ʤǡɲ

	push(@out_enabled, 1);

	push(@out_fields,   $fields[$i]);
	push(@out_types,    $types[$i]);
	push(@out_lengths,  $lengths[$i]);
	push(@out_decimals, $decimals[$i]);
    } else {
	# ǡϲ⤷ʤ

	push(@out_enabled, 0);
    }
}

#  DBF ե
my $out_table = XBase->create("name"	       => $outfile,
			      "field_names"    => [@out_fields],
			      "field_types"    => [@out_types],
			      "field_lengths"  => [@out_lengths],
			      "field_decimals" => [@out_decimals]
			      ) or die XBase->errstr;

for my $i (0 .. $table->last_record) {
    my @rec     = $table->get_record($i);
    my $deleted = shift(@rec);

    my @out_rec = ();

    for my $j (0 .. $table->last_field) {

	if ($out_enabled[$j]) {
	    push(@out_rec, $rec[$j]);
	}
    }

    $out_table->set_record($i, @out_rec) if ! $deleted;
}

$table->close;
$out_table->close;

# end
