#!/usr/bin/perl

use strict;
use warnings;
use utf8;
use XML::XPath;

binmode STDOUT, ':utf8';

my $filename = $ARGV[0];

print << "EOF";
<?xml version="1.0" encoding="UTF-8"?>
 <SOAP-ENV:Envelope xmlns:SOAP-ENV='http://schemas.xmlsoap.org/soap/envelope/'>
  <SOAP-ENV:Body>
   <misp:Transaction xmlns:misp="http://www.infosharp.org/misp" xmlns:gml="http://www.opengis.net/gml" xmlns="tag:h-yokota\$staff.aist.go.jp\$mitsuke\$v3.0">
    <misp:Insert>
EOF

my $doc = XML::XPath->new(filename => $filename);

my $features = $doc->find("//gml:featureMember/*");

foreach my $node ($features->get_nodelist) {
    print $node->toString;
}

print << "EOF";

   </misp:Insert>
  </misp:Transaction>
 </SOAP-ENV:Body>
</SOAP-ENV:Envelope>
EOF
