#!/usr/bin/perl
#
# Swap XML tag name
#

use strict;
use warnings;

###########################################################################
my %tagmap;
open(FD, "<", "bin/tag-swap-map.txt");

while(my $l = <FD>) {
    chomp($l);

    next if($l =~ /^\#/);
    next if($l =~ /^$/);

    (my $short, my $long) =  split(" ", $l);

    $tagmap{$short} = $long;
}

close(FD);
###########################################################################

while(my $data = <>) {

    foreach my $i (keys(%tagmap)) {
	$data =~ s/<(\/?)$i>/<$1$tagmap{$i}>/g;
    }

    print $data;
}

# end
